-- 7
-- non standard, sqlite only
SELECT *
FROM Visitor 
INTERSECT
SELECT *
FROM Speaker;

-- standard
SELECT *
FROM Visitor 
INNER JOIN Speaker ON Visitor.login = Speaker.login;

-- sous-requête IN
SELECT *
FROM Visitor
WHERE login IN (
    SELECT login FROM Speaker
);

-- sous-requête EXISTS
SELECT *
FROM Visitor
WHERE EXISTS  (
    SELECT login FROM Speaker
    WHERE Speaker.login = Visitor.login
);

